#
# spec file for package perl-DBD-Pg (Version 1.49)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-DBD-Pg
BuildRequires:  perl-DBI postgresql-devel
URL:            http://www.perl.com/CPAN/modules/by-module/DBD
Summary:        DBD::Pg - DBI driver for PostgreSQL
Version:        1.49
Release:        3.1
License:        GPL
Group:          Development/Libraries/Perl
Source0:        DBD-Pg-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl-DBI
Requires:       perl = %{perl_version}
Autoreqprov:    on

%description
This driver is needed to access PostgreSQL databases from Perl programs
through the Perl Database Interface (DBI).



Authors:
--------
    Edmund Mergl
    Jeffrey W. Baker
    Tim Bunce

%prep
%setup -q -n DBD-Pg-%version

%build
export POSTGRES_INCLUDE=/usr/include/pgsql
export POSTGRES_LIB=%_libdir
perl Makefile.PL
make

%install
make DESTDIR=%buildroot install_vendor
%perl_process_packlist

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorarch}/DBD
%{perl_vendorarch}/auto/DBD
%doc %_mandir/man?/*
/var/adm/perl-modules/%{name}

%changelog
* Fri May 19 2006 max@suse.de
- New version: 1.49:
  o Added support for geometric types.
  o Various bugfixes.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 max@suse.de
- New version: 1.42 (bug #128183).
* Sat Feb 28 2004 ro@suse.de
- fix requirement for /usr/local
- fix "control reaches end of non-void function"
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 max@suse.de
- new version: 1.22
- Fix build for perl-5.8.1.
* Mon Jun 30 2003 ro@suse.de
- remove traces of buildroot from installed files
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Wed Feb  5 2003 ro@suse.de
- updated neededforbuild
* Wed Jul  3 2002 max@suse.de
- New package perl-DBD-Pg version 1.13.
- A database driver for perl-DBI and PostgreSQL.
